# FastAPI Encrypted Errors

This module adds a “ref” field in the error response of FastAPI. This field is an AES encrypted string that contains the error message / traceback. This encrypted string can be decrypted using the endpoint decrypt error wizard.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

First you have to enable the encryption for an endpoint by checking the Encrypt Errors checkbox in the endpoint configuration.

To decrypt an error message, you can use the “Decrypt Error” wizard in the FastAPI menu.

You can regenerate a new key by clicking on the “Regenerate Key” button next to the Errors Secret Key field.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Akretion

### Contributors

- Akretion:
  - Florian Mounier

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/rest-framework project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.